Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] dev-libs/mpfr 4 upgrade fails with dev-libs/mpc
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Marlo
Veteran
Veteran


Joined: 26 Jul 2003
Posts: 1310

PostPosted: Sun Jun 24, 2018 8:30 am    Post subject: [solved] dev-libs/mpfr 4 upgrade fails with dev-libs/mpc Reply with quote

Hello@
With the recommendations of the news, the upgrade was started with:

Code:
# emerge --ask --oneshot "> = dev-libs/mpfr-4" dev-libs/mpc sys-devel/gcc"
These are the packages that would be merged, in order:
Calculating dependencies ... done!
[ebuild U ~] dev-libs / mpfr-4.0.1 [3.1.6]
[ebuild R] dev-libs / mpc-1.0.3
[ebuild R] sys-devel / gcc-7.3.0-r3

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

mpfr-4 had to be set to unstable, but it compiles clean.
With mpc-1.0.3 there were serious mistakes.


News 2018-06-23-mpfr-4-update: https://paste.pound-python.org/show/IJNAX70dc3soqnHc2cpU/

Mpfr4-update-guide: https://wiki.gentoo.org/wiki/Mpfr4-update-guide

"emerge --info '=dev-libs/mpc-1.0.3::gentoo'": https://paste.pound-python.org/show/STcNdCsI2iVpVBHRBbgW/

"emerge -pqv '=dev-libs/mpc-1.0.3::gentoo'": https://paste.pound-python.org/show/Fo9Wda5jAFy8CSZ0EC1I/

/var/log/portage/dev-libs:mpc-1.0.3:20180624-063134.log: https://paste.pound-python.org/show/j0syW9P37i0dcOJUjqpd/

/var/log/portage/dev-libs:mpfr-4.0.1:20180624-061858.log: https://paste.pound-python.org/show/Ty03QjRmz9YmbtCYu4uS/

"emerge --info": https://paste.pound-python.org/show/CiXbMe3y5vPbnDlIl0fr/

What do I have to do?
greetings
Ma
_________________
Thank you for your attention, interest and support.


Last edited by Marlo on Sun Jun 24, 2018 10:22 am; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19235
Location: here

PostPosted: Sun Jun 24, 2018 8:37 am    Post subject: Reply with quote

Feigning that dev-libs/mpfr-4 isn't stable I don't think you had to do anything.
Now I don't know if is better continue the update or revert to dev-libs/mpfr stable
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Marlo
Veteran
Veteran


Joined: 26 Jul 2003
Posts: 1310

PostPosted: Sun Jun 24, 2018 8:49 am    Post subject: Reply with quote

Thanks for your quick reply fedeliallalinea!

I already got the upgrade back. I think that:

Code:
User # ldd /usr/libexec/gcc/x86_64-pc-linux-gnu/7.3.0/cc1 | grep mpfr
         libmpfr.so.4 => /usr/lib64/libmpfr.so.4 (0x00007f6894fa4000)


that's okay. After this news I really believed I MUST perform the upgrade.

Thanks again for your answer.
Ma
_________________
Thank you for your attention, interest and support.
Back to top
View user's profile Send private message
vespaman
Guru
Guru


Joined: 28 Aug 2002
Posts: 304
Location: Stockholm, Sweden

PostPosted: Sun Jun 24, 2018 9:12 am    Post subject: Reply with quote

OK, so I also followed the news on my stable server :( and ended up with mpc not emerging.

The news should perhaps be modified, if it is not meant for stable systems.
Anyways, going back is easy.
Back to top
View user's profile Send private message
Spargeltarzan
Apprentice
Apprentice


Joined: 23 Jul 2017
Posts: 251

PostPosted: Sun Jun 24, 2018 11:04 am    Post subject: Reply with quote

fedeliallalinea,

Do you think we should remember this news item once mpfr-4 is stable?
I was also considering to upgrade to ~amd64 version since I didn't want to forget about recompiling mpc and gcc once it turn stable. For now I will wait...
_________________
___________________
Regards

Spargeltarzan

Notebook: Lenovo YOGA 900-13ISK: Gentoo stable amd64, GNOME systemd, KVM/QEMU
Desktop-PC: Intel Core i7-4770K, 8GB Ram, AMD Radeon R9 280X, ZFS Storage, GNOME openrc, Dantrell, Xen
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19235
Location: here

PostPosted: Sun Jun 24, 2018 11:14 am    Post subject: Reply with quote

Spargeltarzan wrote:
Do you think we should remember this news item once mpfr-4 is stable?

Surely
Spargeltarzan wrote:
I was also considering to upgrade to ~amd64 version since I didn't want to forget about recompiling mpc and gcc once it turn stable. For now I will wait...

A drastic choice for a news :P .

Now I open a bug to understand what happened

EDIT: https://bugs.gentoo.org/658944
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
figueroa
Guru
Guru


Joined: 14 Aug 2005
Posts: 351
Location: GA-USA

PostPosted: Sun Jun 24, 2018 7:45 pm    Post subject: Reply with quote

I printed the news item with the assumption that mpfr-4 would go stable in the near future. But, pray an elog message will be produced upon stabilization and updating. I fear this is going to be messy for some people.
_________________
Andy Figueroa
andy@andyfigueroa.net Working with Unix since 1983.
Back to top
View user's profile Send private message
WvR
Apprentice
Apprentice


Joined: 03 Mar 2011
Posts: 181
Location: Tsuruga, Japan

PostPosted: Mon Jun 25, 2018 1:23 am    Post subject: Reply with quote

I was confronted with this "update" this morning.

The NEWS item MUST be changed. The NEWS message should state more clearly that the upgrade is NOT needed on STABLE systems. On the "troubleshooting" page, there should be an entry stating that before anything, the user should check their current profile, and if the profile is "stable", then the update is not immediately needed.

In my case, damage was limited because I checked gentoo forums, but some other users may simply follow the instructions on the screen which could result in trouble.
Back to top
View user's profile Send private message
marax_faraii
n00b
n00b


Joined: 11 Apr 2016
Posts: 40

PostPosted: Mon Jun 25, 2018 1:33 am    Post subject: Reply with quote

I keyworded it and let it upgrade. No guts no glory :P
Back to top
View user's profile Send private message
wuzzerd
Guru
Guru


Joined: 05 Jan 2005
Posts: 446
Location: New Mexico

PostPosted: Mon Jun 25, 2018 1:48 am    Post subject: Reply with quote

Not wanting to go into nerd mode, I backed out the line in keywords and let it go back while waiting for this thread to show up.. ;)
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19235
Location: here

PostPosted: Mon Jun 25, 2018 6:11 am    Post subject: Reply with quote

The news is no longer showned in a stable system
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
ladmanj
n00b
n00b


Joined: 16 Feb 2012
Posts: 2

PostPosted: Mon Jul 02, 2018 5:34 pm    Post subject: What if i did 2018-06-23-mpfr-4-update before it disapeared Reply with quote

Hi

I have updated everything as was stated in news 2018-06-23-mpfr-4-update, before it disappeared.

I thought it was a security measure, so i accepted the keyword changes.

What have i do now. I can't see any problems with emerging compiling and so on.

It is file and mail server, no desktop applications installed, everything is held stable, until some trouble aren't forcing me to apply something newer.

Is it better to downgrade? How exactly it has to be done?

Thank you
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19235
Location: here

PostPosted: Mon Jul 02, 2018 6:40 pm    Post subject: Re: What if i did 2018-06-23-mpfr-4-update before it disapea Reply with quote

ladmanj wrote:
Is it better to downgrade? How exactly it has to be done?

If you have no problem I you can keep the modification
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum